Hardware Locality (hwloc) 1.4

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
hwloc_topology_cpubind_support Struct Reference
Configure Topology Detection

`#include <hwloc.h>`

## Data Fields

unsigned char | set_thisproc_cpubind
unsigned char | get_thisproc_cpubind
unsigned char | set_proc_cpubind
unsigned char | get_proc_cpubind
unsigned char | set_thisthread_cpubind
unsigned char | get_thisthread_cpubind
unsigned char | set_thread_cpubind
unsigned char | get_thread_cpubind
unsigned char | get_thisproc_last_cpu_location
unsigned char | get_proc_last_cpu_location
unsigned char | get_thisthread_last_cpu_location

## Detailed Description

Flags describing actual PU binding support for this topology.

## Field Documentation

unsigned char hwloc_topology_cpubind_support::get_proc_cpubind

Getting the binding of a whole given process is supported.

unsigned char hwloc_topology_cpubind_support::get_proc_last_cpu_location

Getting the last processors where a whole process ran is supported

unsigned char hwloc_topology_cpubind_support::get_thisproc_cpubind

Getting the binding of the whole current process is supported.

unsigned char hwloc_topology_cpubind_support::get_thisproc_last_cpu_location

Getting the last processors where the whole current process ran is supported

unsigned char hwloc_topology_cpubind_support::get_thisthread_cpubind

Getting the binding of the current thread only is supported.

unsigned char hwloc_topology_cpubind_support::get_thisthread_last_cpu_location

Getting the last processors where the current thread ran is supported

unsigned char hwloc_topology_cpubind_support::get_thread_cpubind

Getting the binding of a given thread only is supported.

unsigned char hwloc_topology_cpubind_support::set_proc_cpubind

Binding a whole given process is supported.

unsigned char hwloc_topology_cpubind_support::set_thisproc_cpubind

Binding the whole current process is supported.

unsigned char hwloc_topology_cpubind_support::set_thisthread_cpubind

Binding the current thread only is supported.

unsigned char hwloc_topology_cpubind_support::set_thread_cpubind

Binding a given thread only is supported.

The documentation for this struct was generated from the following file:

- hwloc.h